#pragma once
#include <map>
struct Fish_TherionLevelCFGData
{
	//ID
	int mID;
	//炮倍
	int mLevel;
	//炮倍对应朱雀、财神、白虎积分
	int mTherionIntegral;
};

class Fish_TherionLevelCFG
{
public:
private:
	static std::auto_ptr<Fish_TherionLevelCFG> msSingleton;
public:
	int GetCount();
	const Fish_TherionLevelCFGData* GetData(int ID);
	const std::map<int, Fish_TherionLevelCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_TherionLevelCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_TherionLevelCFGData> mMapData;
};
